%define aname meteo_qt

Name:           meteo-qt
Version:        3.4
Release:        %mkrel 2
Group:          Graphical desktop/Other
Summary:        Weather status system tray application
License:        GPLv3
URL:            https://github.com/dglent/meteo-qt
Source0:        https://github.com/dglent/meteo-qt/archive/refs/tags/v%{version}/%{name}-%{version}.tar.gz
Patch0:         meteo-qt-3.3-relax-dependencies.patch
BuildArch:      noarch
BuildRequires:  python3-qt5-devel
BuildRequires:  qttools5
Requires:       python3-qt5-core
Requires:       python3-qt5-gui
Requires:       python3-qt5-network
Requires:       python3-qt5-widgets
Requires:       python3-urllib3
Requires:       python3-lxml
Recommends:     qttranslations5

%description
A Qt system tray application for the weather status
Weather data from: http://openweathermap.org/

%prep
%autosetup -p1

%build
%py3_build

%install
%py3_install

%files
%doc TODO CHANGELOG README.md
%exclude %_defaultdocdir/%{name}/LICENSE
%{_bindir}/%{name}
%{_iconsdir}/weather-few-clouds.png
%{python3_sitelib}/%{aname}-%{version}-py%python3_version.egg-info
%{python3_sitelib}/%{aname}/
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/meteo_qt
%{_datadir}/meteo_qt/translations/


%changelog
* Tue Mar 11 2025 papoteur <papoteur> 3.4-2.mga10
+ Revision: 2162749
- rebuild for python3.13

* Thu Aug 22 2024 dglent <dglent> 3.4-1.mga10
+ Revision: 2087408
- Version 3.4

* Fri Jan 05 2024 daviddavid <daviddavid> 3.3-4.mga10
+ Revision: 2027666
- rebuild for py3.12

* Fri Sep 22 2023 daviddavid <daviddavid> 3.3-3.mga10
+ Revision: 1989347
- stop using old python3-sip

* Thu Dec 29 2022 daviddavid <daviddavid> 3.3-2.mga9
+ Revision: 1927749
- relax dependencies (no qt5-tools)

* Thu Dec 29 2022 dglent <dglent> 3.3-1.mga9
+ Revision: 1927564
- Version 3.3

* Wed Apr 06 2022 dglent <dglent> 3.2-1.mga9
+ Revision: 1846222
- Version 3.2
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 neoclust <neoclust> 3.1-2.mga9
+ Revision: 1774295
- Rebuild for python 3.10

* Thu Dec 23 2021 dglent <dglent> 3.1-1.mga9
+ Revision: 1763449
- Version 3.1

* Wed Sep 29 2021 dglent <dglent> 3.0-1.mga9
+ Revision: 1746840
- Version 3.0

* Sun Apr 18 2021 dglent <dglent> 2.3-1.mga9
+ Revision: 1716324
- Version 2.3

* Sat Mar 20 2021 neoclust <neoclust> 2.1-2.mga9
+ Revision: 1705924
- Rebuild against python 3.9

* Wed Oct 07 2020 dglent <dglent> 2.1-1.mga8
+ Revision: 1632535
- Version 2.1

* Sun Jun 07 2020 dglent <dglent> 2.0.1-1.mga8
+ Revision: 1590808
- Version 2.0.1
- Version 2.0

* Sun Feb 16 2020 umeabot <umeabot> 1.4-2.mga8
+ Revision: 1533524
- Mageia 8 Mass Rebuild
+ dglent <dglent>
- Version 1.4

* Sun Sep 22 2019 daviddavid <daviddavid> 1.0.0-3.mga8
+ Revision: 1444591
- rebuild for python3.8

* Fri Jan 11 2019 daviddavid <daviddavid> 1.0.0-2.mga7
+ Revision: 1354988
- rebuild for new Python 3.7

* Sat Jan 05 2019 dglent <dglent> 1.0.0-1.mga7
+ Revision: 1349385
- Version 1.0.0

* Thu Sep 20 2018 umeabot <umeabot> 0.9.9-2.mga7
+ Revision: 1279512
- Mageia 7 Mass Rebuild

* Fri May 18 2018 dglent <dglent> 0.9.9-1.mga7
+ Revision: 1230357
- Version 0.9.9

* Sat Aug 05 2017 pterjan <pterjan> 0.9.5-2.mga7
+ Revision: 1135271
- Rebuild for python 3.6

* Thu Mar 09 2017 dglent <dglent> 0.9.5-1.mga6
+ Revision: 1090520
- New version 0.9.5

* Sun Jul 03 2016 dglent <dglent> 0.9.4-1.mga6
+ Revision: 1038408
- Version 0.9.4

* Mon Jun 27 2016 akien <akien> 0.9.3-3.mga6
+ Revision: 1037870
- Rebuild in core/release

* Sat Jun 25 2016 akien <akien> 0.9.3-2.mga6
+ Revision: 1037542
- Rebuild for python-sip 4.18

* Thu May 19 2016 dglent <dglent> 0.9.3-1.mga6
+ Revision: 1016936
- Version 0.9.3

* Sun May 15 2016 dglent <dglent> 0.9.2-1.mga6
+ Revision: 1015739
- Version 0.9.2

* Tue Apr 19 2016 dglent <dglent> 0.9.1-1.mga6
+ Revision: 1003556
- Version 0.9.1

* Sun Apr 17 2016 dglent <dglent> 0.9.0-1.mga6
+ Revision: 1003228
- Version 0.9.0

* Sat Dec 19 2015 dglent <dglent> 0.8.8-1.mga6
+ Revision: 912079
- Version 0.8.8

* Thu Dec 03 2015 dglent <dglent> 0.8.7-1.mga6
+ Revision: 907816
- Version 0.8.7

* Mon Nov 30 2015 dglent <dglent> 0.8.6-1.mga6
+ Revision: 907271
- Version 0.8.6

* Sun Nov 29 2015 dglent <dglent> 0.8.5-1.mga6
+ Revision: 907041
- Version 0.8.5

* Wed Nov 04 2015 dglent <dglent> 0.8.4-1.mga6
+ Revision: 897817
- Version 0.8.4

* Sat Oct 31 2015 dglent <dglent> 0.8.3-1.mga6
+ Revision: 896842
- Version 0.8.3

* Sun Oct 25 2015 dglent <dglent> 0.8.2-1.mga6
+ Revision: 895177
- Verison 0.8.2
- Use new python macros
- Version 0.8.1

* Thu Oct 08 2015 daviddavid <daviddavid> 0.8.0-2.mga6
+ Revision: 887839
- rebuild for python 3.5
- use new python macros

* Sun Aug 23 2015 dglent <dglent> 0.8.0-1.mga6
+ Revision: 868208
- Version 0.8.0

* Sat Aug 08 2015 dglent <dglent> 0.7.1-1.mga6
+ Revision: 861644
- Version 0.7.1

* Sat Jul 04 2015 dglent <dglent> 0.7.0-1.mga6
+ Revision: 849866
- Version 0.7.0

* Mon May 11 2015 dglent <dglent> 0.6.0-1.mga5
+ Revision: 821718
- Version 0.6.0

* Mon Feb 09 2015 dglent <dglent> 0.5.0-1.mga5
+ Revision: 814230
- Version 0.5.0

* Sun Jan 25 2015 dglent <dglent> 0.4.3-1.mga5
+ Revision: 812172
- Version 0.4.3

* Sun Nov 30 2014 dglent <dglent> 0.3.4-1.mga5
+ Revision: 800018
- Version 0.3.4
- Version 0.3.3
- Version 0.3.1
- Version 0.2.0 (Qt5)

* Sat Oct 25 2014 dglent <dglent> 0.1.0-1.mga5
+ Revision: 793157
- imported package meteo-qt

